<table border='1'>
<tr>
<th>Class name</th>
<th>Method name</th>
<th>Groups</th>
</tr><tr>
<td>User_Registration.Registration_feature</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>testSignUpWithInvalidPassword</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testSignUpWithInvalidFullname1</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testInvalidPhoneNumber</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testSignUpWithEmptyFields</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testSignUpWithInvalidFullname</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testSignUpWithInvalidVerificationCode</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>Add_To_Cart.Add_To_Cart</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>testAddToCartSingleProduct_SingleQuantity</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testAddToCartSingleProduct_MultipleQuantities</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>testAddToCartSingleProduct_AlreadyAdded</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
</table>
